Bug 222212

Summary: gnome-terminal crashes on startup
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-13 06:33:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 150226    

Description Nicolas Mailhot 2007-01-10 16:51:01 EST
Description of problem:
gnome-terminal crashes on startup

Distribution: Fedora Core release 6 (Rawhide)
Gnome Release: 2.17.2 2006-11-07 (Red Hat, Inc)
BugBuddy Version: 2.17.3

System: Linux 2.6.19-0.22.rc6.mm2.fc7 #1 SMP Mon Dec 4 20:28:21 CET 2006 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: No
Accessibility: Enabled

Memory status: size: 267960320 vsize: 267960320 resident: 10350592 share:
8146944 rss: 10350592 rss_rlim: -1
CPU usage: start_time: 6220 rtime: 12 utime: 9 stime: 3 cutime:0 cstime: 0
timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 47100701152720 (LWP 7637)]
0x0000003cc180d7c5 in __libc_waitpid (pid=7644, stat_loc=0x7fff30732e3c, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
32	      return INLINE_SYSCALL (wait4, 4, pid, stat_loc, options, NULL);
#0  0x0000003cc180d7c5 in __libc_waitpid (pid=7644, stat_loc=0x7fff30732e3c, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
#1  0x0000003f8f0648c1 in libgnomeui_segv_handle (signum=11)
    at gnome-ui-init.c:870
#2  <signal handler called>
#3  0x00002ad600000000 in ?? ()
#4  0x00002ad67a6a96b0 in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#5  0x00007fff307333c0 in ?? ()
#6  0x00002ad67a6a96ac in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#7  0x00000000008af500 in ?? ()
#8  0x0000000000000039 in ?? ()
#9  0x00002ad67a3c45fb in vte_terminal_accessible_new ()
   from /usr/lib64/libvte.so.9
#10 0x00002ad67a39ce8d in _vte_debug_parse_string ()
   from /usr/lib64/libvte.so.9
#11 0x00002ad67a3a9b9e in vte_terminal_set_emulation ()
   from /usr/lib64/libvte.so.9
#12 0x00002ad67a3afffa in vte_terminal_feed_child ()
   from /usr/lib64/libvte.so.9
#13 0x000000359d429ad0 in IA__g_type_create_instance (type=260944468048)
    at gtype.c:1569
#14 0x000000359d41176d in g_object_constructor (type=47100776887855, 
    n_construct_properties=9707216, construct_params=0x0) at gobject.c:1041
#15 0x000000359d40f5c4 in IA__g_object_newv (object_type=9580976, 
    n_parameters=0, parameters=0x0) at gobject.c:937
#16 0x000000359d40ffec in IA__g_object_new_valist (object_type=9580976, 
    first_property_name=0x0, var_args=0x7fff307338b0) at gobject.c:981
#17 0x000000359d410221 in IA__g_object_new (object_type=9580976, 
    first_property_name=0x0) at gobject.c:795
#18 0x00002ad67a3aa72a in vte_terminal_new () from /usr/lib64/libvte.so.9
#19 0x0000000000427dac in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#20 0x0000000000424fdc in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#21 0x000000359d429ad0 in IA__g_type_create_instance (type=0) at gtype.c:1569
#22 0x000000359d41176d in g_object_constructor (type=47100776887855, 
    n_construct_properties=9707216, construct_params=0x0) at gobject.c:1041
#23 0x000000359d40f5c4 in IA__g_object_newv (object_type=9529216, 
    n_parameters=0, parameters=0x0) at gobject.c:937
#24 0x000000359d40ffec in IA__g_object_new_valist (object_type=9529216, 
    first_property_name=0x0, var_args=0x7fff30733dd0) at gobject.c:981
#25 0x000000359d410221 in IA__g_object_new (object_type=9529216, 
    first_property_name=0x0) at gobject.c:795
#26 0x0000000000417f0c in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#27 0x00000000004189eb in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#28 0x0000000000419565 in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#29 0x0000003cc0c1d924 in __libc_start_main (
    main=0x418ef0 <g_cclosure_marshal_VOID__OBJECT+40368>, argc=2, 
    ubp_av=0x7fff307342a8, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff30734298) at libc-start.c:222
#30 0x000000000040f569 in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
#31 0x00007fff30734298 in ?? ()
#32 0x0000000000000000 in ?? ()

Thread 1 (Thread 47100701152720 (LWP 7637)):
#0  0x0000003cc180d7c5 in __libc_waitpid (pid=7644, stat_loc=0x7fff30732e3c, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:32
	oldtype = <value optimized out>
	result = <value optimized out>
#1  0x0000003f8f0648c1 in libgnomeui_segv_handle (signum=11)
    at gnome-ui-init.c:870
	estatus = 60
	eret = 0
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {260935285088, 24, 24, 9706320, 208, 140734006243248, 
      260927687696, 260944462160, 8814944, 38, 86, 1599409569, 260927688564, 
      0, 140734006243040, 1599409568}}, sa_flags = 812855376, 
  sa_restorer = 0x7fff30733068}
	pid = 7644
	in_segv = 1
#2  <signal handler called>
No locals.
#3  0x00002ad600000000 in ?? ()
No symbol table info available.
#4  0x00002ad67a6a96b0 in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#5  0x00007fff307333c0 in ?? ()
No symbol table info available.
#6  0x00002ad67a6a96ac in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#7  0x00000000008af500 in ?? ()
No symbol table info available.
#8  0x0000000000000039 in ?? ()
No symbol table info available.
#9  0x00002ad67a3c45fb in vte_terminal_accessible_new ()
   from /usr/lib64/libvte.so.9
No symbol table info available.
#10 0x00002ad67a39ce8d in _vte_debug_parse_string ()
   from /usr/lib64/libvte.so.9
No symbol table info available.
#11 0x00002ad67a3a9b9e in vte_terminal_set_emulation ()
   from /usr/lib64/libvte.so.9
No symbol table info available.
#12 0x00002ad67a3afffa in vte_terminal_feed_child ()
   from /usr/lib64/libvte.so.9
No symbol table info available.
#13 0x000000359d429ad0 in IA__g_type_create_instance (type=260944468048)
    at gtype.c:1569
	node = (TypeNode *) 0x9231b0
	instance = (GTypeInstance *) 0x9421b0
	class = (GTypeClass *) 0x93def0
	i = 3246430288
#14 0x000000359d41176d in g_object_constructor (type=47100776887855, 
    n_construct_properties=9707216, construct_params=0x0) at gobject.c:1041
	object = (GObject *) 0x1
#15 0x000000359d40f5c4 in IA__g_object_newv (object_type=9580976, 
    n_parameters=0, parameters=0x0) at gobject.c:937
	value = (GValue *) 0x0
	pspec = (GParamSpec *) 0x884800
	cparams = (GObjectConstructParam *) 0x0
	oparams = <value optimized out>
	nqueue = <value optimized out>
	object = <value optimized out>
	class = (GObjectClass *) 0x93def0
	unref_class = (GObjectClass *) 0x93def0
	slist = <value optimized out>
	n_total_cparams = 0
	n_cparams = 0
	n_oparams = 0
	n_cvalues = 0
	cvalues = <value optimized out>
	clist = (GList *) 0x0
	i = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_object_newv"
#16 0x000000359d40ffec in IA__g_object_new_valist (object_type=9580976, 
    first_property_name=0x0, var_args=0x7fff307338b0) at gobject.c:981
	_cvalue = <value optimized out>
	error = <value optimized out>
	pspec = <value optimized out>
	params = <value optimized out>
	name = <value optimized out>
	object = <value optimized out>
	n_params = <value optimized out>
	n_alloced_params = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_object_new_valist"
#17 0x000000359d410221 in IA__g_object_new (object_type=9580976, 
    first_property_name=0x0) at gobject.c:795
	var_args = {{gp_offset = 16, fp_offset = 48, 
    overflow_arg_area = 0x7fff307339a0, reg_save_area = 0x7fff307338d0}}
	__PRETTY_FUNCTION__ = "IA__g_object_new"
#18 0x00002ad67a3aa72a in vte_terminal_new () from /usr/lib64/libvte.so.9
No symbol table info available.
#19 0x0000000000427dac in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#20 0x0000000000424fdc in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#21 0x000000359d429ad0 in IA__g_type_create_instance (type=0) at gtype.c:1569
	node = (TypeNode *) 0x916780
	instance = (GTypeInstance *) 0x876f30
	class = (GTypeClass *) 0x93da80
	i = 0
#22 0x000000359d41176d in g_object_constructor (type=47100776887855, 
    n_construct_properties=9707216, construct_params=0x0) at gobject.c:1041
	object = (GObject *) 0x1
#23 0x000000359d40f5c4 in IA__g_object_newv (object_type=9529216, 
    n_parameters=0, parameters=0x0) at gobject.c:937
	value = (GValue *) 0x0
	pspec = (GParamSpec *) 0x884800
	cparams = (GObjectConstructParam *) 0x0
	oparams = <value optimized out>
	nqueue = <value optimized out>
	object = <value optimized out>
	class = (GObjectClass *) 0x93da80
	unref_class = (GObjectClass *) 0x93da80
	slist = <value optimized out>
	n_total_cparams = 0
	n_cparams = 0
	n_oparams = 0
	n_cvalues = 0
	cvalues = <value optimized out>
	clist = (GList *) 0x0
	i = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_object_newv"
#24 0x000000359d40ffec in IA__g_object_new_valist (object_type=9529216, 
    first_property_name=0x0, var_args=0x7fff30733dd0) at gobject.c:981
	_cvalue = <value optimized out>
	error = <value optimized out>
	pspec = <value optimized out>
	params = <value optimized out>
	name = <value optimized out>
	object = <value optimized out>
	n_params = <value optimized out>
	n_alloced_params = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_object_new_valist"
#25 0x000000359d410221 in IA__g_object_new (object_type=9529216, 
    first_property_name=0x0) at gobject.c:795
	var_args = {{gp_offset = 16, fp_offset = 48, 
    overflow_arg_area = 0x7fff30733ec0, reg_save_area = 0x7fff30733df0}}
	__PRETTY_FUNCTION__ = "IA__g_object_new"
#26 0x0000000000417f0c in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#27 0x00000000004189eb in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#28 0x0000000000419565 in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#29 0x0000003cc0c1d924 in __libc_start_main (
    main=0x418ef0 <g_cclosure_marshal_VOID__OBJECT+40368>, argc=2, 
    ubp_av=0x7fff307342a8, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff30734298) at libc-start.c:222
	result = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {260929854400, 
        1766544019474833344, 0, 140734006248096, 0, 0, 1766670622488796688, 
        1766543902424336159}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 
      0x435e30, 0x7fff307342a8}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 4415024}}}
	not_first_call = <value optimized out>
#30 0x000000000040f569 in g_cclosure_marshal_VOID__OBJECT () at gmarshal.c:614
No symbol table info available.
#31 0x00007fff30734298 in ?? ()
No symbol table info available.
#32 0x0000000000000000 in ?? ()
No symbol table info available.
0x0000003cc180d7c5	32	      return INLINE_SYSCALL (wait4, 4, pid, stat_loc,
options, NULL);


----------- .xsession-errors (6 sec old) ---------------------
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
(bug-buddy:7645): Pango-WARNING **:
/usr/lib64/pango/1.6.0/modules/pango-basic-fc.so: Ne peut ouvrir le fichier
d'objet partagé: Aucun fichier ou répertoire de ce type
--------------------------------------------------
Comment 1 Behdad Esfahbod 2007-01-10 17:25:58 EST
Should be fixed in vte-0.15.1-2
Comment 2 Nicolas Mailhot 2007-01-13 06:33:13 EST
indeed, thanks a lot